Get document types - Identification Types - Mercado Pago Developers
Get document types

Consult all the types of documents available by country and get a list with the ID and details of each one.

GET

https://api.mercadopago.com/v1/identification_types
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Response parameters
id
string
Identification type id.
name
string
Identification type name.
type
string
Identification number data type.
min_length
number
Identification number min length.
Errors

400Error

1001

Public_key not found.

401Error

1000

The credentials are required.

404Error

1004

Identification types not found.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/identification_types'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
[
  {
    "id": "CPF",
    "name": "CPF",
    "type": "number",
    "min_length": 11,
    "max_length": 11
  }
]